Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class SetArrayPropertyCommand

    ru.biosoft.access.support.SetPropertyCommand
      |
      +--ru.biosoft.access.support.SetArrayPropertyCommand

public class SetArrayPropertyCommand
extends SetPropertyCommand

Fields inherited from class ru.biosoft.access.support.SetPropertyCommand
`DEFAULT_IDENT, endl`

Constructor Summary
`SetArrayPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer)`
`SetArrayPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer, int indent)`
`SetArrayPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetArrayPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer)`
`SetArrayPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetArrayPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer)`
`SetArrayPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`

Method Summary
`void` | `addValue(String appendValue)`
`void` | `complete(String tag)`
`String` | `getTaggedValue()`
`void` | `start(String tag)`

Methods inherited from class ru.biosoft.access.support.SetPropertyCommand
`getIndent, getTag, getTaggedValue, setIndent`

Constructor Detail

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer, int indent)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer, int indent, boolean duplicateTags)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer)

### SetArrayPropertyCommand

    public SetArrayPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)

Method Detail

### addValue

    public void addValue(String appendValue)

### complete

    public void complete(String tag)

### getTaggedValue

    public String getTaggedValue()

### start

    public void start(String tag)

Association Links

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM